Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-25075 Build and test Spark against Scala 2.13
  3. SPARK-29528

Upgrade scala-maven-plugin to 4.3.0 for Scala 2.13.1

    XMLWordPrintableJSON

Details

    • Sub-task
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 3.0.0
    • 3.0.0
    • Build
    • None

    Description

      Scala 2.13.1 seems to break the binary compatibility.

      We need to upgrade `scala-maven-plugin` to bring the the following fixes for the latest Scala 2.13.1.

      We need `scala-maven-plugin` 4.3.0 because `4.2.4` throws error on Windows.

      Attachments

        Issue Links

          Activity

            People

              dongjoon Dongjoon Hyun
              dongjoon Dongjoon Hyun
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: